- Extending Qt Creator Manual
- IExternalEditor
- Extending Qt Creator Manual 8.0.2

# IExternalEditor Class

class Core::IExternalEditor

The IExternalEditor class enables registering an external editor in the Open With dialog. More...

Header: | #include <coreplugin/editormanager/iexternaleditor.h>
Inherits: | Core::EditorType

- List of all members, including inherited members

## Static Public Members

const Core::ExternalEditorList | allExternalEditors()
const Core::ExternalEditorList | externalEditors(const Utils::MimeType &mimeType)

## Detailed Description

## Member Function Documentation

### `[static]` const Core::ExternalEditorList IExternalEditor::allExternalEditors()

Returns all available external editors.

### `[static]` const Core::ExternalEditorList IExternalEditor::externalEditors(const Utils::MimeType &mimeType)

Returns all external editors available for this mimeType in the default order (editors ordered by MIME type hierarchy).